<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ironspeed.com/designer">
  <Generator>Iron Speed Designer</Generator>
  <Version>9.2.0</Version>
  <Self>
    <Name>PrintReports</Name>
    <Type>Page</Type>
    <SubType>DotNet</SubType>
    <MasterLayout>~/Master Pages/HorizontalMenu.master</MasterLayout>
    <GenerateDirectory>PersonalId</GenerateDirectory>
    <Layout>PersonalId\PrintReports.xml</Layout>
    <DisplayName>PrintReports</DisplayName>
    <Description>This is a blank page.</Description>
    <LoginRequired>&lt;PRoles&gt;5;6;4&lt;/PRoles&gt;</LoginRequired>
    <CheckSum>978301161-1145</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>BlankPanelWithHeaderCollapsibleRegion</Name>
      <Type>Aspx</Type>
      <ControlClass>System.Web.UI.WebControls.Panel</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>BlankPanelWithHeaderIcon</Name>
      <Type>Aspx</Type>
      <ControlClass>System.Web.UI.WebControls.ImageButton</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>BlankPanelWithHeaderPanelExtender</Name>
      <Type>Aspx</Type>
      <ControlClass>AjaxControlToolkit.CollapsiblePanelExtender</ControlClass>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Button</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Custom</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>พิมพ์ประวัติทั้งหมด</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Button-ToolTip</Name>
          <Value>พิมพ์ประวัติพร้อมรายละเอียดทั้งหมด</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CrystalReport</Name>
      <Type>ParameterBinding</Type>
      <Substitutions>
        <Variable>
          <Name>CrystalDecisions.ReportSource DLL</Name>
          <Value>CrystalDecisions.ReportSource</Value>
          <Filevalue>C:\Program Files\Business Objects\Common\4.0\managed\dotnet2\CrystalDecisions.ReportSource.dll</Filevalue>
          <Type>File</Type>
        </Variable>
        <Variable>
          <Name>Crystal Report File</Name>
          <Value>Reports\test.rpt</Value>
          <Filevalue>D:\Database\- wpc\Persons\Reports\test.rpt</Filevalue>
          <Type>File</Type>
        </Variable>
        <Variable>
          <Name>CrystalDecisions.Shared DLL</Name>
          <Value>CrystalDecisions.Shared</Value>
          <Filevalue>C:\Program Files\Business Objects\Common\4.0\managed\dotnet2\CrystalDecisions.Shared.dll</Filevalue>
          <Type>File</Type>
        </Variable>
        <Variable>
          <Name>CrystalDecisions.CrystalReports.Engine DLL</Name>
          <Value>CrystalDecisions.CrystalReports.Engine</Value>
          <Filevalue>C:\Program Files\Business Objects\Common\4.0\managed\dotnet2\CrystalDecisions.CrystalReports.Engine.dll</Filevalue>
          <Type>File</Type>
        </Variable>
        <Variable>
          <Name>Crystal Report Button Text</Name>
          <Value>Show Report</Value>
          <Type>ResourceValue</Type>
        </Variable>
      </Substitutions>
    </ContainedComponent>
    <ContainedComponent>
      <Name>CrystalReportButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>CustomPostback</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Show Report</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Postback</Name>
          <Value>true</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Footers</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.ascx</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>Blank page</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>UpdatePanel1</Name>
      <Type>UpdatePanel</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
  </ComposedOf>
  <LayoutDefinition>&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;LayoutDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Layout Name="Page" Type="RootLayout"&gt;
    &lt;Prolog&gt;
      &lt;Value&gt;&amp;lt;asp:Content id="PageSection" ContentPlaceHolderID="PageContent" Runat="server"&amp;gt;
    &amp;lt;a id="StartOfPageContent"&amp;gt;&amp;lt;/a&amp;gt;
    &amp;lt;GEN:UPDATEPANEL NAME="UpdatePanel1"&amp;gt;
                &lt;/Value&gt;
    &lt;/Prolog&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="BlankPanelWithHeader"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:FOOTER Name="Footers" /&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog&gt;
      &lt;Value&gt;
    &amp;lt;/GEN:UPDATEPANEL&amp;gt;
    &amp;lt;div id="detailPopup" class="detailRolloverPopup" onmouseout="detailRolloverPopupClose();" onmouseover="clearTimeout(gPopupTimer);"&amp;gt;&amp;lt;/div&amp;gt;
    &amp;lt;asp:ValidationSummary id="ValidationSummary1" ShowMessageBox="true" ShowSummary="false" runat="server"&amp;gt;&amp;lt;/asp:ValidationSummary&amp;gt;
&amp;lt;/asp:Content&amp;gt;
                &lt;/Value&gt;
    &lt;/Epilog&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="BlankPanelWithHeader" Type="BlankPanel"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="BlankFramePanelHeader"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dh&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;asp:panel id="BlankPanelWithHeaderCollapsibleRegion" runat="server"&amp;gt;&amp;lt;GEN:PANEL NAME="BlankFramePanel"/&amp;gt;&amp;lt;/asp:panel&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dv&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="BlankFramePanelHeader" Type="BlankPanel"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/space.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhel&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;asp:CollapsiblePanelExtender id="BlankPanelWithHeaderPanelExtender" runat="server" TargetControlid="BlankPanelWithHeaderCollapsibleRegion" ExpandControlID="BlankPanelWithHeaderIcon" CollapseControlID="BlankPanelWithHeaderIcon" ImageControlID="BlankPanelWithHeaderIcon" ExpandedImage="~/images/icon_panelcollapse.gif" CollapsedImage="~/images/icon_panelexpand.gif" SuppressPostBack="true"/&amp;gt;
&amp;lt;asp:ImageButton id="BlankPanelWithHeaderIcon" runat="server" ToolTip="&amp;amp;lt;%# GetResourceValue(&amp;amp;quot;Btn:ExpandCollapse&amp;amp;quot;) %&amp;amp;gt;" causesvalidation="False" imageurl="~/images/icon_panelcollapse.gif" /&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dheci&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;valign&lt;/Name&gt;
            &lt;AttributeValue&gt;middle&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="BlankPanelWithHeaderTitleRegion"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhb&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;img src="../Images/space.gif" alt=""/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dher&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="BlankPanelWithHeaderTitleRegion" Type="BlankPanel"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;Blank Panel&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;dhtr&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;valign&lt;/Name&gt;
            &lt;AttributeValue&gt;middle&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="BlankFramePanel" Type="BlankPanel"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:PANEL NAME="BlankPanel"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes&gt;
          &lt;Attribute&gt;
            &lt;Name&gt;class&lt;/Name&gt;
            &lt;AttributeValue&gt;tre&lt;/AttributeValue&gt;
          &lt;/Attribute&gt;
        &lt;/CellAttributes&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;class&lt;/Name&gt;
        &lt;AttributeValue&gt;dBody&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;width&lt;/Name&gt;
        &lt;AttributeValue&gt;100%&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
  &lt;Layout Name="BlankPanel" Type="BlankPanel"&gt;
    &lt;Prolog /&gt;
    &lt;Row&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:BUTTON NAME="Button"/&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;Cell&gt;
        &lt;Value&gt;&amp;lt;GEN:CONTROL Name="CrystalReport" Group="CrystalReport" Template="..\Toolbox Controls\Crystal Reports\Crystal Reports.xml" IDMap="CrystalReportButton,CrystalReportButton;" IsVisible="True"&amp;gt;
&amp;lt;GEN:BUTTON FILE="../Shared/ThemeButton.html" NAME="CrystalReportButton"&amp;gt;&amp;lt;/GEN:BUTTON&amp;gt;
      &amp;lt;br/&amp;gt;&amp;lt;br/&amp;gt;
      &amp;lt;/GEN:CONTROL&amp;gt;&lt;/Value&gt;
        &lt;CellAttributes /&gt;
      &lt;/Cell&gt;
      &lt;RowAttributes /&gt;
    &lt;/Row&gt;
    &lt;Epilog /&gt;
    &lt;TableAttributes&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellpadding&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;cellspacing&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
      &lt;Attribute&gt;
        &lt;Name&gt;border&lt;/Name&gt;
        &lt;AttributeValue&gt;0&lt;/AttributeValue&gt;
      &lt;/Attribute&gt;
    &lt;/TableAttributes&gt;
  &lt;/Layout&gt;
&lt;/LayoutDefinition&gt;</LayoutDefinition>
</ComponentDefinition>